<div class="card   ">
  <div class="card-header">
    <i class="fas fa-car text-white"></i> <span >{{title}}</span>

  </div>
  <div class="card-body">
    <div class="row">
      <div class="col-sm-2 mb-1 ">
        <button class=" btn bCSO" (click)="openModal( 'Crear', null )" >
          <span class = "fa fa-plus-circle "></span> <span > AGREGAR</span></button>
      </div>
      <div class="col-sm-5 offset-sm-5 ">

        <div class="input-group mb-3">
          <div class="input-group-prepend">
            <span class="input-group-text" ><i class="fa fa-search" ></i></span>
          </div>
          <input class="form-control" type="text" placeholder="Buscar en la tabla" (input)="dt.filterGlobal($event.target.value, 'contains')"  pInputText pTooltip="Buscar en la tabla" tooltipPosition="bottom">
        </div>
      </div>
      <div class="col-sm-12">
        <p-table  class="table cell-border hover" #dt [value]="usuarioArray" [paginator]="true" [rows]="10"
                  [pageLinks]="3" [rowsPerPageOptions]="[10,25,50]"
                  [globalFilterFields]="['nombretipoDocumento','estado','id','documento',
                  'primerApellido', 'segundoApellido', 'primerNombre', 'segundoNombre', 'nombreContrato',
                  'nombreCargo','nombreCiudad','usuario']" [responsive]="true">

          <ng-template pTemplate="header">
            <tr class="text-center">
              <th class="{{c.class}}" *ngFor="let c of loadTable" >
                {{c.header}}
              </th>
              <th  class="w-50">Acción</th>

            </tr>
          </ng-template>
          <ng-template pTemplate="body" let-c>
            <tr  class="text-center">
              <td><span class="ui-column-title">Id</span>{{c.id}}</td>
              <td><span class="ui-column-title">Tipo Doc</span>{{c.nombretipoDocumento}}</td>
              <td><span class="ui-column-title">Doc</span>{{c.documento}}</td>
              <td><span class="ui-column-title">1er Apellido</span>{{c.primerApellido}}</td>
              <td><span class="ui-column-title">2do Apellido</span>{{c.segundoApellido}}</td>
              <td><span class="ui-column-title">1er Nombre</span>{{c.primerNombre}}</td>
              <td><span class="ui-column-title">2do Nombre</span>{{c.segundoNombre}}</td>
              <td><span class="ui-column-title">Contrato</span>{{c.nombreContrato}}</td>
              <td><span class="ui-column-title">Cargo ocupacion</span>{{c.nombreCargo}}</td>
              <td><span class="ui-column-title">Ciudad</span>{{c.nombreCiudad}}</td>
              <td><span class="ui-column-title">Usuario</span>{{c.usuario}}</td>

              <td><span class="ui-column-title">Estado</span>
              <span *ngIf="c.estado === 1">Activo</span>
              <span *ngIf="c.estado === 2">Inactivo</span>
              </td>
              <td><span class="ui-column-title">Planta</span>{{c.nombrePlanta}}</td>

              <td>
                <p-accordion >
                  <p-accordionTab  >

                    <button (click)="openModal( 'Editar', c )"  class=" btn bCSC" >
                      <span class = "fa fa-edit "></span> <span > EDITAR</span></button>

                    <button (click)="activarUsuario(c.id)"  class=" btn bCSC" >
                      <span class = "fa fa-check "></span> <span > ACTIVAR</span></button>


                    <button (click)="eliminarUsuario(c.id)"  class=" btn bCSC" >
                      <span class = "fa fa-times "></span> <span > INACTIVAR</span></button>

                  </p-accordionTab>
                </p-accordion>
              </td>
            </tr>
          </ng-template>
        </p-table>
      </div>
    </div>
  </div>
</div>
